## org.apache.tools.ant.taskdefs.email
Class MimeMailer

    java.lang.Object
      org.apache.tools.ant.taskdefs.email.Mailer
          org.apache.tools.ant.taskdefs.email.MimeMailer

    public class MimeMailer

extends Mailer

Uses the JavaMail classes to send Mime format email.

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.email.Mailer
`bccList, ccList, files, from, headers, host, includeFileNames, message, password, port, replyToList, SSL, subject, task, toList, user`

Constructor Summary
`MimeMailer()`

Method Summary
`void` `send()` Send the email.

Methods inherited from class org.apache.tools.ant.taskdefs.email.Mailer
`getDate, setBccList, setCcList, setFiles, setFrom, setHeaders, setHost, setIncludeFileNames, setMessage, setPassword, setPort, setReplyToList, setSSL, setSubject, setTask, setToList, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMailer

    public MimeMailer()

Method Detail

### send

    public void send()

  Send the email.

  Specified by:
    `send` in class `Mailer`
  Throws:
    `BuildException` - if the email can't be sent.